Bug 980541 - GlusterFS testing framework needs rdma support added
GlusterFS testing framework needs rdma support added
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 12:20 EDT by Justin Clift
Modified: 2015-10-22 11:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:40:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2013-07-02 12:20:26 EDT
Description of problem:

  At present, the GlusterFS testing framework uses tcp for all tests, as there
  is no "protocol $PROTOCOL" line in any of the volume creation commands.

  We should add a protocol specifier to the volume creation commands in our
  testing framework, which would enable us to test RDMA as well.


Version-Release number of selected component (if applicable):

  Upstream GlusterFS git, master branch as of Tue 2nd July 2013.


Additional info:

  Initial support should be very easy to add without breaking the existing
  testing framework.

  Likely starting by adding the PROTOCOL definition to tests/include.rc:

    PROTOCOL=${PROTOCOL:=tcp};    # transport protocol to use

  Then adding "protocol $PROTOCOL" to the volume creation commands in:

    tests/basic/*.t

  Adding "protocol $PROTOCOL" to other tests could be done at a future point.
Comment 1 Justin Clift 2013-07-02 15:25:36 EDT
s/protocol $PROTOCOL/transport $PROTOCOL/
Comment 2 Anand Avati 2013-07-02 17:50:25 EDT
REVIEW: http://review.gluster.org/5275 (Add transport keyword and variable to our test framework) posted (#1) for review on master by Justin Clift (jclift@redhat.com)
Comment 4 Kaleb KEITHLEY 2015-10-22 11:40:20 EDT
pre-release version is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.